GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::SneakyCallOpSet< Op1, Op2, Op3, Op4, Op5, Op6 > Class Template Reference

A CallOpSet that does not post completions to the completion queue. More...

`#include <call.h>`

## Public Member Functions
bool | FinalizeResult (void **tag, bool *status) GRPC_OVERRIDE
Public Member Functions inherited from grpc::CallOpSet< Op1, Op2, Op3, Op4, Op5, Op6 >
| CallOpSet ()
void | FillOps (grpc_op *ops, size_t *nops) GRPC_OVERRIDE
| Fills in grpc_op, starting from ops[*nops] and moving upwards. More...
void | set_output_tag (void *return_tag)
Public Member Functions inherited from grpc::CallOpSetInterface
| CallOpSetInterface ()
void | set_max_message_size (int max_message_size)
Public Member Functions inherited from grpc::CompletionQueueTag
virtual | ~CompletionQueueTag ()

## Additional Inherited Members
Protected Attributes inherited from grpc::CallOpSetInterface
int | max_message_size_

## Detailed Description

### template<class Op1 = CallNoOp<1>, class Op2 = CallNoOp<2>, class Op3 = CallNoOp<3>, class Op4 = CallNoOp<4>, class Op5 = CallNoOp<5>, class Op6 = CallNoOp<6>>
class grpc::SneakyCallOpSet< Op1, Op2, Op3, Op4, Op5, Op6 >

A CallOpSet that does not post completions to the completion queue.

Allows hiding some completions that the C core must generate from C++ users.

## Member Function Documentation

template<class Op1 = CallNoOp<1>, class Op2 = CallNoOp<2>, class Op3 = CallNoOp<3>, class Op4 = CallNoOp<4>, class Op5 = CallNoOp<5>, class Op6 = CallNoOp<6>>

bool grpc::SneakyCallOpSet< Op1, Op2, Op3, Op4, Op5, Op6 >::FinalizeResult | ( | void ** | tag,
|  | bool * | status
| ) |  |
| inline virtual

Reimplemented from grpc::CallOpSet< Op1, Op2, Op3, Op4, Op5, Op6 >.

The documentation for this class was generated from the following file:

- include/grpc++/impl/call.h